library IEEE;
use IEEE.STD_LOGIC_1164.ALL;
use IEEE.NUMERIC_STD.ALL;


entity ROM_16x7_tb is
    --  Port ( );
end ROM_16x7_tb;

architecture Behavioral of ROM_16x7_tb is
    constant DELAY : time := 10 ns;
    constant ADDR_WIDTH_CONST: integer := 4;
    constant DATA_WIDTH_CONST: integer := 7;
    
    signal addr: std_logic_vector(ADDR_WIDTH_CONST-1 downto 0);
    signal data: std_logic_vector(DATA_WIDTH_CONST-1 downto 0);
    
begin

    UUT: entity work.ROM_16x7(Behavioral)
        port map (
            addr => addr,
            data => data
        );
        
    stimuli: process
    begin
        for i in 0 to 15 loop
            addr <= std_logic_vector(to_unsigned(i, ADDR_WIDTH_CONST));
            wait for DELAY;
        end loop;
        wait;
    end process;

end Behavioral;
